| gvSIG desktop 1 - gvSIG bugs #777
Intersections process don't add the layer to the view when called from sextante
06/13/2012 01:19 PM - Francisco Puga

Status: Fixed % Done: 100%
Priority: Normal

Assignee: Francisco Puga

Category:

Target version:

Severity: Add-on name: Unknown
gvSIG version: 1.12.0 Add-on version:

gvSIG build: Add-on build:

Operative System: Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: No

Description

Reported by "ernesto sferlazza" on the mailing list:
http://listserv.gva.es/pipermail/gvsig internacional/2012-June/008451.html

Second issue: intersection between a polyline layer with a clone of itself.
No problem using gvSIG 1.11, while using gvSIG 1.12 (build 1411) it appears an error message. The corresponding lines in gvSIG.log
are the following:*
DEBUG Thread-30 com.iver.andami.messages.NotificationManager -
java.lang.ClassCastException: es.unex.sextante.gvsig.gui.ToolboxDialog cannot be cast to
com.iver.cit.gvsig.project.documents.view.gui.View
at com.iver.cit.gvsig.geoprocess.core.fmap.AbstractGeoprocess.getResult(AbstractGeoprocess.java:201)
at com.iver.cit.gvsig.geoprocess.core.gui.AddResuliLayerTask.run(AddResuliLayerTask.java:191)
at com.iver.utiles.swing.threads.MonitorableDecoratorMainFirst.run(MonitorableDecoratorMainFirst.java: 158)
at com.iver.andami.PluginServices$1.construct(PluginServices.java:405)
at com.iver.utiles.swing.threads.SwingWorker$2.run(SwingWorker.java:108)
at java.lang.Thread.run(Unknown Source)*
Neverthless, point and line layers are created in the destination folder, though they are not loaded in the view.

History

#1 - 06/13/2012 01:21 PM - Pablo Sanxiao

- Assignee changed from Francisco Puga to Pablo Sanxiao
#2 - 06/13/2012 01:43 PM - Francisco Puga

- File 0001-fixes-777.patch added

- Assignee changed from Pablo Sanxiao to Francisco Puga
#3 - 06/18/2012 02:00 PM - Francisco Puga

- Status changed from In progress to Fixed
- % Done changed from 0 to 100

Applied in changeset r38428.

#4 - 02/20/2014 10:21 AM - Alvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1

05/17/2024 1/2


http://listserv.gva.es/pipermail/gvsig_internacional/2012-June/008451.html

- Target version deleted (1.12.0-rc1)

Files

0001-fixes-777.patch 4.22 KB 06/13/2012 Francisco Puga
